/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

/* Body */
body {
  min-height: 100vh;
  background: radial-gradient(circle at top, #0f2027, #08141a);
  background-repeat: no-repeat;
  background-attachment: fixed;

  color: white;

  display: flex;
  justify-content: center;
  align-items: center;

  overflow: hidden;
  padding-top: env(safe-area-inset-top);
}

html {
  background: #0f2027;
}

/* 🔥 Container (خیلی مهم) */
.container {
  width: 100%;
  max-width: 420px;
  padding: 20px;

  display: flex;
  flex-direction: column;
  align-items: center;
}

/* Header */
.top {
  margin-bottom: 20px;
}

.top h2 {
  transition: 0.3s;
  cursor: default;
}

.top h2:hover {
  color: #00ff87;
  transform: scale(1.05);
  text-shadow: 0 0 10px rgba(0,255,135,0.7);
}

/* Card */
.card {
  width: 100%;
  padding: 28px;
  border-radius: 22px;

  background: rgba(255,255,255,0.04);
  backdrop-filter: blur(25px);

  box-shadow: 0 0 30px rgba(0,255,135,0.1);
  transition: 0.25s;
}

/* Word */
#word {
  text-align: center;
  color: #00ff87;
  font-size: 26px;
  margin-bottom: 20px;
}

/* Sections */
.section {
  margin-top: 15px;
}

.label {
  font-size: 12px;
  opacity: 0.5;
}

.section p {
  font-size: 14px;
  line-height: 1.7;
}

/* Example */
.example {
  margin-top: 15px;
  padding: 14px;
  border-radius: 14px;
  background: rgba(255,255,255,0.07);
}

/* Controls */
.controls {
  margin-top: 30px;
  display: flex;
  align-items: center;
  gap: 25px;
}

/* Buttons */
.nav-btn {
  width: 58px;
  height: 58px;
  border-radius: 50%;
  border: none;
  cursor: pointer;

  display: flex;
  align-items: center;
  justify-content: center;

  font-size: 20px;

  background: rgba(255,255,255,0.05);
  backdrop-filter: blur(10px);

  color: #00ff87;

  box-shadow: 0 0 15px rgba(0,255,135,0.2);

  transition: all 0.25s ease;
}

/* Hover (کنترل‌شده‌تر) */
.nav-btn:hover {
  transform: scale(1.1);
  background: linear-gradient(135deg, #00ff87, #60efff);
  color: #0f2027;
  box-shadow: 0 0 25px #00ff87;
}

/* Click */
.nav-btn:active {
  transform: scale(0.95);
}

/* Indicator */
.indicator {
  width: 10px;
  height: 10px;
  border-radius: 50%;

  background: #00ff87;

  box-shadow:
    0 0 8px #00ff87,
    0 0 15px #00ff87,
    0 0 25px rgba(0,255,135,0.6);

  animation: pulse 1.5s infinite;
}

/* Animation */
@keyframes pulse {
  0% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(1.4);
    opacity: 0.6;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}